%define name		mlt++
%define version		0.3.1

%define major		1
%define libname		%mklibname %name %major
%define libnamedev	%mklibname %name -d

%define snapshot 1176
%define rel 1

%if %snapshot
%define release %mkrel 0.svn%snapshot.%rel
%else
%define release %mkrel %rel
%endif

Summary: 	C++ bindings for MLT
Name:		%{name}
Version:	%{version}
Release:	%{release}
%if %snapshot
# http://mlt.svn.sourceforge.net/viewvc/mlt/trunk/mlt++/
Source: %{name}-r%{snapshot}.tar.bz2
%else
Source:		http://dfn.dl.sourceforge.net/sourceforge/mlt/%name-%version.tar.bz2
%endif

Patch0:		mlt++-0.3.0-link-valerie.patch
Patch1:		mlt++-0.3.0-disable-ldconfig.patch
Group:		Video
Url:		http://mlt.sourceforge.net/
License:	LGPLv2+
BuildRoot:	%{_tmppath}/%name-%{version}-root
BuildRequires:	mlt-devel >= %version

%description
MLT++ - C++ bindings to MLT


%package -n	%{libname}
Summary:	Main library for mlt++
Group:		System/Libraries

%description -n %{libname}
This package contains the libraries needed to run programs dynamically
linked with mlt++.


%package -n     %{libnamedev}
Summary:        Headers for developing programs that will use mlt
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d mlt++ 0.3.0
Obsoletes:	%mklibname -d mlt++ 0.2.4
Obsoletes:	%mklibname -d mlt++ 0.2.2

%description -n %{libnamedev}
This package contains the headers that programmers will need to develop
applications which will use mlt++.


%prep
%setup -q -n %name
%patch0 -p0
%patch1 -p0
find ./ -name configure -exec chmod 755 {} \;

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}
%{_libdir}/lib*.so.%{version}

%files -n %{libnamedev}
%defattr(-,root,root)
%doc AUTHORS CUSTOMISING HOWTO README
%{_includedir}/*
%{_libdir}/lib*.so


%changelog
* Wed Aug 13 2008 Funda Wang <fundawang@mandriva.org> 0.3.0-1mdv2009.0
+ Revision: 271478
- New version 0.3.0
- add patch fixing linkage
- do not run ldconfig after installing

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 04 2008 Giuseppe Ghibò <ghibo@mandriva.com> 0.2.2-9mdv2008.1
+ Revision: 161905
- Rebuild against mlt 0.2.5.

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2.2-8mdv2008.1
+ Revision: 153156
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 08 2007 Giuseppe Ghibò <ghibo@mandriva.com> 0.2.2-7mdv2008.0
+ Revision: 82474
- Fix Obsoletes for -devel subpackage.

* Wed Sep 05 2007 Funda Wang <fundawang@mandriva.org> 0.2.2-6mdv2008.0
+ Revision: 80197
- Obsoletes old devel package

* Sun Aug 12 2007 Funda Wang <fundawang@mandriva.org> 0.2.2-5mdv2008.0
+ Revision: 62182
- New major
- Rebuild against mlt 0.2.4


* Sun Mar 11 2007 Giuseppe Ghibò <ghibo@mandriva.com> 0.2.2-4mdv2007.1
+ Revision: 141366
- Rebuilt against latest mlt package.

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 0.2.2-3mdv2007.1
+ Revision: 73975
- rebuild
- commit on behalf of Giuseppe Ghib?\195?\178 to get package in sync with svn:
  * Fri Sep 15 2006 Giuseppe Ghib?\195?\178 <ghibo@mandriva.com> 0.2.2-2mdv2007.0
  - Reconstructed SPEC file because .src.rpm get lost.

  + Jerome Martin <jmartin@mandriva.org>
    - import mlt++-0.2.2-1mdv2007.0

* Wed Jun 21 2006 Jerome Martin <jmartin@mandriva.org> 0.2.2-1
- Initial version

